/***************************************************************************
****************************************************************************

This is a part of the xModule Source code.

Copyright (C) 2003-2008 The LS-Universe Team

  Homepage: http://www.ls-universe.info

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

****************************************************************************
****************************************************************************/

#if !defined(AFX_GHOSTLABEL_H__2B23064E_E310_4014_8E41_096F69854429__INCLUDED_)
#define AFX_GHOSTLABEL_H__2B23064E_E310_4014_8E41_096F69854429__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class GhostLabel  
{

public:
	GhostLabel();
	virtual ~GhostLabel();

	string strConditional;
	bool bDoPaint;

	string strConfiguration;
	
	string strName;
	string strLabelGroup;

	string strOrgX;
	string strOrgY;
	int iX;
	int iY;

	string strOrgWidth;
	string strOrgHeight;
	int iWidth;
	int iHeight;

	PaintTexture *pNormalTexture;
	PaintTexture *pHoverTexture;
	PaintTexture *pPressedTexture;

	PaintHTMLText *pNormalText;
	PaintHTMLText *pHoverText;
	PaintHTMLText *pPressedText;

	HRGN rgnNormal;
	HRGN rgnHover;

	string strOriginalText;
	string strOriginalHoverText;
	string strText;

	bool bNormal;
	bool bHover;
	bool bPressed;

	bool bIsHover;
	bool bIsPressed;

	bool bStandalone;

	string strEnterCommand;
	string strLeaveCommand;

	string strLeftClickDownCommand;
	string strLeftClickUpCommand;
	string strLeftDoubleClickCommand;

	string strMiddleClickDownCommand;
	string strMiddleClickUpCommand;
	string strMiddleDoubleClickCommand;

	string strRightClickDownCommand;
	string strRightClickUpCommand;
	string strRightDoubleClickCommand;

	string strX1ClickDownCommand;
	string strX1ClickUpCommand;
	string strX1DoubleClickCommand;

	string strX2ClickDownCommand;
	string strX2ClickUpCommand;
	string strX2DoubleClickCommand;

	bool bNoEscape;

	bool bMouseInside;

	bool bVisible;
};

#endif // !defined(AFX_GHOSTLABEL_H__2B23064E_E310_4014_8E41_096F69854429__INCLUDED_)
